GLSA-200805-15 : libid3tag: Denial of Service

Medium Nessus Plugin ID 32352


The remote Gentoo host is missing one or more security-related patches.


The remote host is affected by the vulnerability described in GLSA-200805-15 (libid3tag: Denial of Service)

Kentaro Oda reported an infinite loop in the file field.c when parsing an MP3 file with an ID3_FIELD_TYPE_STRINGLIST field that ends in '\\0'.
Impact :

A remote attacker could entice a user to open a specially crafted MP3 file, possibly resulting in a Denial of Service.
Workaround :

There is no known workaround at this time.


All libid3tag users should upgrade to the latest version:
# emerge --sync # emerge --ask --oneshot --verbose '>=media-libs/libid3tag-0.15.1b-r2'

See Also

Plugin Details

Severity: Medium

ID: 32352

File Name: gentoo_GLSA-200805-15.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2008/05/16

Modified: 2015/04/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5

Vector: CVSS2#AV:N/AC:L/Au:N/C:N/I:N/A:P

Vulnerability Information

CPE: p-cpe:/a:gentoo:linux:libid3tag, cpe:/o:gentoo:linux

Required KB Items: Host/local_checks_enabled, Host/Gentoo/release, Host/Gentoo/qpkg-list

Patch Publication Date: 2008/05/14

Reference Information

CVE: CVE-2008-2109

OSVDB: 44921

GLSA: 200805-15